Get language breakdown
GET
/api/v1/links/{code}/analytics/languages
const url = 'https://example.com/api/v1/links/example/analytics/languages?from=2026-02-01T00%3A00%3A00Z&to=2026-02-27T23%3A59%3A59Z&granularity=hour&limit=20&limit_countries=20&limit_cities=20&compare=prev_period';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/links/example/analytics/languages?from=2026-02-01T00%3A00%3A00Z&to=2026-02-27T23%3A59%3A59Z&granularity=hour&limit=20&limit_countries=20&limit_cities=20&compare=prev_period' \ --header 'Authorization: Bearer <token>'Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»code
required
string
Short code or custom alias
Query Parameters
Заголовок раздела «Query Parameters»from
string
Example
2026-02-01T00:00:00ZStart date (ISO 8601). Default: 30 days ago
to
string
Example
2026-02-27T23:59:59ZEnd date (ISO 8601). Default: now
granularity
string
limit
number
limit_countries
number
Limit for countries (geo endpoint)
limit_cities
number
Limit for cities (geo endpoint)
countries
Array<string>
Filter by ISO 3166-1 alpha-2 country codes (comma-separated)
compare
string
Compare with a previous period
Responses
Заголовок раздела «Responses»Media typeapplication/json
object
shortCode
required
string
from
required
string
to
required
string
totalClicks
required
number
data
required
Array<object>
object
language
required
string
clicks
required
number
percentage
required
number
Example generated
{ "shortCode": "example", "from": "example", "to": "example", "totalClicks": 1, "data": [ { "language": "example", "clicks": 1, "percentage": 1 } ]}Forbidden — not the owner
Link not found